/* Generated by Frama-C */
#include "stddef.h"
#include "stdint.h"
#include "stdio.h"
extern  __attribute__((__FC_BUILTIN__)) int __e_acsl_sound_verdict;

int main(void)
{
  int __retres;
  __e_acsl_memory_init((int *)0,(char ***)0,(size_t)8);
  int x = 0;
  x ++;
  {
    __e_acsl_assert_data_t __gen_e_acsl_assert_data = {.values = (void *)0};
    __e_acsl_assert_register_int(& __gen_e_acsl_assert_data,"sizeof(int)",0,
                                 4);
    __e_acsl_assert_register_int(& __gen_e_acsl_assert_data,"sizeof(x)",0,4);
    __gen_e_acsl_assert_data.blocking = 1;
    __gen_e_acsl_assert_data.kind = "Assertion";
    __gen_e_acsl_assert_data.pred_txt = "sizeof(int) == sizeof(x)";
    __gen_e_acsl_assert_data.file = "tests/memory/sizeof.i";
    __gen_e_acsl_assert_data.fct = "main";
    __gen_e_acsl_assert_data.line = 8;
    __e_acsl_assert(1,& __gen_e_acsl_assert_data);
    __e_acsl_assert_clean(& __gen_e_acsl_assert_data);
  }
  /*@ assert sizeof(int) == sizeof(x); */ ;
  __retres = 0;
  __e_acsl_memory_clean();
  return __retres;
}


